Skip to content

Commit

Permalink
Merge branch '6.2.x'
Browse files Browse the repository at this point in the history
  • Loading branch information
ybyzek committed May 12, 2021
2 parents 40c30c8 + e5b3301 commit 6dae1c1
Showing 1 changed file with 8 additions and 7 deletions.
15 changes: 8 additions & 7 deletions cp-quickstart/start-cloud.sh
Original file line number Diff line number Diff line change
Expand Up @@ -59,13 +59,8 @@ eval $CMD \
&& print_code_pass -c "source $DELTA_CONFIGS_ENV" \
|| exit_with_error -c $? -n "$NAME" -m "$CMD" -l $(($LINENO -3))

# Pre-flight check of Confluent Cloud credentials specified in $CONFIG_FILE
MAX_WAIT=720
printf "\n";print_process_start "Waiting up to $MAX_WAIT seconds for Confluent Cloud ksqlDB cluster to be UP"
retry $MAX_WAIT ccloud::validate_ccloud_ksqldb_endpoint_ready $KSQLDB_ENDPOINT || exit 1
print_pass "Confluent Cloud KSQL is UP"

ccloud::validate_ccloud_stack_up $CLOUD_KEY $CONFIG_FILE || exit 1
# false argument here means defer checking on ksqlDB to later in the script, to optimize time to run
ccloud::validate_ccloud_stack_up $CLOUD_KEY $CONFIG_FILE false || exit 1

printf "\n";print_process_start "====== Pre-creating topics"

Expand All @@ -91,6 +86,12 @@ sleep 30

printf "\n====== Setting up ksqlDB\n"

# Pre-flight check of Confluent Cloud credentials specified in $CONFIG_FILE
MAX_WAIT=720
printf "\n";print_process_start "Waiting up to $MAX_WAIT seconds for Confluent Cloud ksqlDB cluster to be UP"
retry $MAX_WAIT ccloud::validate_ccloud_ksqldb_endpoint_ready $KSQLDB_ENDPOINT || exit 1
print_pass "Confluent Cloud KSQL is UP"

printf "Obtaining the ksqlDB App Id\n"
CMD="ccloud ksql app list -o json | jq -r '.[].id'"
ksqlDBAppId=$(eval $CMD) \
Expand Down

0 comments on commit 6dae1c1

Please sign in to comment.